library swagger.api;

import 'dart:async';
import 'dart:convert';
import 'package:http/browser_client.dart';
import 'package:http/http.dart';

part 'api_client.dart';
part 'api_helper.dart';
part 'api_exception.dart';
part 'auth/authentication.dart';
part 'auth/api_key_auth.dart';
part 'auth/oauth.dart';
part 'auth/http_basic_auth.dart';

part 'api/job_details_api.dart';
part 'api/jobs_api.dart';
part 'api/recipients_api.dart';
part 'api/system_api.dart';
part 'model/error_authentication_response.dart';
part 'model/error_bad_request_response.dart';
part 'model/error_internal_server_response.dart';
part 'model/error_not_found_response.dart';
part 'model/error_service_not_available_response.dart';
part 'model/error_to_many_requests_response.dart';
part 'model/health.dart';
part 'model/inline_response201.dart';
part 'model/job.dart';
part 'model/job_info.dart';
part 'model/job_options.dart';
part 'model/job_post.dart';
part 'model/job_post_options.dart';
part 'model/job_post_recipient.dart';
part 'model/job_recipient.dart';
part 'model/job_recipients.dart';
part 'model/job_statistics.dart';
part 'model/jobs.dart';
part 'model/jobs_id_body.dart';
part 'model/notification.dart';
part 'model/notifications.dart';
part 'model/preview.dart';
part 'model/recipient.dart';
part 'model/recipient_job.dart';
part 'model/recipients.dart';
part 'model/template.dart';
part 'model/templates.dart';

ApiClient defaultApiClient = new ApiClient();
