part of swagger.api;

class InlineResponse201 {
  /* Identification number (UUID) of the job */
  String id = null;
/* Target to obtain additional job information */
  String target = null;

  InlineResponse201();

  @override
  String toString() {
    return 'InlineResponse201[id=$id, target=$target, ]';
  }

  InlineResponse201.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    target = json['target'];
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'target': target
     };
  }

  static List<InlineResponse201> listFromJson(List<dynamic> json) {
    return json == null ? new List<InlineResponse201>() : json.map((value) => new InlineResponse201.fromJson(value)).toList();
  }

  static Map<String, InlineResponse201> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, InlineResponse201>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new InlineResponse201.fromJson(value));
    }
    return map;
  }
}
