part of swagger.api;

class JobInfo {
  /* Describes if the template is available to for this fax job */
  bool templateIsAvailable = null;
/* Describes if the preview is available to for this fax job */
  bool previewIsAvailable = null;

  JobInfo();

  @override
  String toString() {
    return 'JobInfo[templateIsAvailable=$templateIsAvailable, previewIsAvailable=$previewIsAvailable, ]';
  }

  JobInfo.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    templateIsAvailable = json['templateIsAvailable'];
    previewIsAvailable = json['previewIsAvailable'];
  }

  Map<String, dynamic> toJson() {
    return {
      'templateIsAvailable': templateIsAvailable,
      'previewIsAvailable': previewIsAvailable
     };
  }

  static List<JobInfo> listFromJson(List<dynamic> json) {
    return json == null ? new List<JobInfo>() : json.map((value) => new JobInfo.fromJson(value)).toList();
  }

  static Map<String, JobInfo> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, JobInfo>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new JobInfo.fromJson(value));
    }
    return map;
  }
}
