part of swagger.api;

class Template {
  /* The type of the document/file */
  String contentType = null;
  //enum contentTypeEnum {  application/pdf,  image/tiff,  image/gif,  image/png,  text/html,  text/plain,  };
/* The templates document file as base64 encode */
  String content = null;

  Template();

  @override
  String toString() {
    return 'Template[contentType=$contentType, content=$content, ]';
  }

  Template.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    contentType = json['contentType'];
    content = json['content'];
  }

  Map<String, dynamic> toJson() {
    return {
      'contentType': contentType,
      'content': content
     };
  }

  static List<Template> listFromJson(List<dynamic> json) {
    return json == null ? new List<Template>() : json.map((value) => new Template.fromJson(value)).toList();
  }

  static Map<String, Template> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Template>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Template.fromJson(value));
    }
    return map;
  }
}
